<ion-header no-border>
    <ion-navbar>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    </ion-navbar> 
  </ion-header>
  
  <ion-content>
  
    <ion-grid>
        <ion-row>
          <ion-col col-12>
              <h2 class="slide-title text">Reset Password</h2>
              <p class="sign-text-up">Lorem ipsum dolor sit amet, consectetur adipiscing elit. eleifend in ultrices non, imperdiet vel nisl.</p>
              <ion-item class="border-none">
                <ion-label>New Password</ion-label>
              </ion-item>
              <ion-item>
                <ion-label><ion-icon name="md-lock"></ion-icon></ion-label>
                <ion-input   [(ngModel)]="password"   type="{{type}}" ></ion-input>
                <button *ngIf="!showPass" ion-button clear color="dark" type="button" item-right (click)="showPassword()">
                  <ion-icon name="ios-eye-off-outline"></ion-icon>
                </button>
                <button *ngIf="showPass" ion-button clear color="dark" type="button" item-right (click)="showPassword()">
                  <ion-icon name="ios-eye-outline"></ion-icon>
                </button>
              
              </ion-item>

              <ion-item class="border-none">
                  <ion-label>Confirm Password</ion-label>
                </ion-item>
                <ion-item>
                  <ion-label><ion-icon name="md-lock"></ion-icon></ion-label>
                  <ion-input     type="{{type1}}" [(ngModel)]="confirmPassword" (ionChange)="passwordChange()" ></ion-input>
                
                  <button *ngIf="!showPass1" ion-button clear color="dark" type="button" item-right (click)="showPassword1()">
                    <ion-icon name="ios-eye-off-outline"></ion-icon>
                  </button>
                  <button *ngIf="showPass1" ion-button clear color="dark" type="button" item-right (click)="showPassword1()">
                    <ion-icon name="ios-eye-outline"></ion-icon>
                  </button>
                </ion-item>
                <div class="custom-label" *ngIf="password!='' && confirmPassword!='' && !isMatched" style="color:#f53d3d;font-size: 12px;padding-left: 15px;
                padding-top:10px;">Password mismatch!</div>
               <div class="custom-label" *ngIf="passworderrormsg!='' && passworderrormsg!=undefined  " style="color:#f53d3d;font-size: 12px;padding-left: 15px;
                padding-top:10px;">{{passworderrormsg}}</div>
              <div class="sign-button-mi"> 
                <button class="sign-button" (click)="submit()"  >
                    Update Password
                </button>
              </div>
              <p class="signup-text" (click)="Loginpage()">Just remember? <a>Sign in</a></p>
              
        </ion-col>
        </ion-row>
    </ion-grid>
  </ion-content>
  